# Class MediumFormat

Object
CodeList<MediumFormat>
MediumFormat

All Implemented Interfaces:
  `Serializable, Comparable<MediumFormat>`

@UML(identifier="MD_MediumFormatCode", specification=ISO_19115) public final class MediumFormat extends CodeList<MediumFormat>
Method used to write to the medium.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediumFormat`
  `CPIO`
  CoPy In / Out (UNIX file format and command).
  `static final MediumFormat`
  `HIGH_SIERRA`
  High sierra file system.
  `static final MediumFormat`
  `ISO_9660`
  Information processing - volume and file structure of CD-ROM.
  `static final MediumFormat`
  `ISO_9660_APPLE_HFS`
  Hierarchical file system (Macintosh).
  `static final MediumFormat`
  `ISO_9660_ROCK_RIDGE`
  Rock ridge interchange protocol (UNIX).
  `static final MediumFormat`
  `TAR`
  Tap ARchive.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MediumFormat[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static MediumFormat`
  `valueOf(String code)`
  Returns the medium format that matches the given string, or returns a new one if none match it.
  `static MediumFormat[]`
  `values()`
  Returns the list of `MediumFormat`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CPIO

    @UML(identifier="cpio", obligation=CONDITIONAL, specification=ISO_19115) public static final MediumFormat CPIO
    CoPy In / Out (UNIX file format and command).

  - ### TAR

    @UML(identifier="tar", obligation=CONDITIONAL, specification=ISO_19115) public static final MediumFormat TAR
    Tap ARchive.

  - ### HIGH_SIERRA

    @UML(identifier="highSierra", obligation=CONDITIONAL, specification=ISO_19115) public static final MediumFormat HIGH_SIERRA
    High sierra file system.

  - ### ISO_9660

    @UML(identifier="iso9660", obligation=CONDITIONAL, specification=ISO_19115) public static final MediumFormat ISO_9660
    Information processing - volume and file structure of CD-ROM.

  - ### ISO_9660_ROCK_RIDGE

    @UML(identifier="iso9660RockRidge", obligation=CONDITIONAL, specification=ISO_19115) public static final MediumFormat ISO_9660_ROCK_RIDGE
    Rock ridge interchange protocol (UNIX).

  - ### ISO_9660_APPLE_HFS

    @UML(identifier="iso9660AppleHFS", obligation=CONDITIONAL, specification=ISO_19115) public static final MediumFormat ISO_9660_APPLE_HFS
    Hierarchical file system (Macintosh).

- ## Method Details

  - ### values

    public static MediumFormat[] values()
    Returns the list of `MediumFormat`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public MediumFormat[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<MediumFormat>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static MediumFormat valueOf(String code)
    Returns the medium format that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.